#version 150

in vec4 vertexColor;
uniform vec4 ColorModulator;
out vec4 fragColor;

void main() {
    vec4 color = vertexColor;
    if (color.a == 0.0) {
        discard;
    }
	
	/* server/world/resourcepack icon hover */
	if (color.rgb == vec3(0.5647058823529412) && color.a >= 0.605 && color.a >= 0.606) {
		color = vec4(0.4667, 0.8627, 0.7333, color.a);
	}
    
    /* checks for tooltip background colour */
    if (color.r == 16/255.0 && color.g == 0/255.0 && color.b == 16/255.0 ) {
        color = vec4(0.2078, 0.2275, 0.2235, 1); /* < < Your custom colour goes here*/
    }

    /* checks for tooltip border colours */
    if (color.r >= 0.15686 && color.r <= 0.31373 && color.g == 0 && color.b >= 0.49 && color.b <= 1) { 
        color = vec4(0.098, 0.8627, 0.4941, 1); /* < < Your custom colour goes here*/
    }
	
	/* checks for invntory slot hover color */
    if (color.r == 255/255.0 && color.g == 255/255.0 && color.b == 255/255.0 && color.a == 128/255.0) {
        color = vec4(0, 0.6588, 0.3569, color.a); /* < < Your colour goes here (#4e315e)*/
    }

    fragColor = color * ColorModulator;
}

/* Updated by rotgruengelb for 1.20.x and above link: https://youtube.com/rotgruengelb */